# Uses of Class
com.fasterxml.jackson.datatype.jsr310.ser.YearSerializer

Packages that use YearSerializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.ser

## Uses of YearSerializer in com.fasterxml.jackson.datatype.jsr310.ser

Fields in com.fasterxml.jackson.datatype.jsr310.ser declared as YearSerializer
Modifier and Type
Field
Description
`static final YearSerializer`
YearSerializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.ser that return YearSerializer
Modifier and Type
Method
Description
`protected YearSerializer`
YearSerializer.`withFormat(Boolean useTimestamp, DateTimeFormatter formatter, com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.ser with parameters of type YearSerializer
Modifier
Constructor
Description
`protected`
`YearSerializer(YearSerializer base, Boolean useTimestamp, DateTimeFormatter formatter)`